Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingSetType

Sets the implementation type `ISLocalToGlobalMapping` will use

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingSetType(ISLocalToGlobalMapping ltog, ISLocalToGlobalMappingType type)

Logically Collective

## Input Parameters

- ltog - the `ISLocalToGlobalMapping` object

- type - a known method

## Options Database Key

- -islocaltoglobalmapping_type (basic|hash) - Sets the method used for applying the mapping, see `ISLocalToGlobalMappingType`

## Notes

See `ISLocalToGlobalMappingType` for available methods

Normally, it is best to use the `ISLocalToGlobalMappingSetFromOptions()` command and then set the `ISLocalToGlobalMappingType` from the options database rather than by using this routine.

## Developer Notes

`ISLocalToGlobalMappingRegister()` is used to add new types to `ISLocalToGlobalMappingList` from which they are accessed by `ISLocalToGlobalMappingSetType()`.

## See Also

Low-level Vector Communication, `ISLocalToGlobalMappingType`, `ISLocalToGlobalMappingRegister()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingGetType()`

## Level

intermediate

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages